com.here.msdkui.routing

## Class OptionItemBuilders.SingleChoiceOptionItemBuilder

- java.lang.Object
- - com.here.msdkui.routing.OptionItemBuilders.SingleChoiceOptionItemBuilder

- Enclosing class:
    OptionItemBuilders

      public static class OptionItemBuilders.SingleChoiceOptionItemBuilder
      extends java.lang.Object

  Builder for `SingleChoiceOptionItem`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleChoiceOptionItemBuilder(android.content.Context context)` Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SingleChoiceOptionItem` | `build()` Build the item.
    `OptionItemBuilders.SingleChoiceOptionItemBuilder` | `setItemId(int id)` Set an id for this item.
    `OptionItemBuilders.SingleChoiceOptionItemBuilder` | `setLabels(java.lang.String title, java.util.List<java.lang.String> labels)` Set the labels for this item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleChoiceOptionItemBuilder

          public SingleChoiceOptionItemBuilder(android.content.Context context)

      Constructs a new instance.
      Parameters:
        `context` - an activity or application context.

  - ### Method Detail

    - #### setLabels

          public OptionItemBuilders.SingleChoiceOptionItemBuilder setLabels(java.lang.String title,
                                                                            java.util.List<java.lang.String> labels)

      Set the labels for this item.
      Parameters:
        `title` - the title for this item.
        `labels` - the labels to set.
      Returns:
        an instance of this class.

    - #### setItemId

          public OptionItemBuilders.SingleChoiceOptionItemBuilder setItemId(int id)

      Set an id for this item.
      Parameters:
        `id` - the id to set.
      Returns:
        an instance of this class.

    - #### build

          public SingleChoiceOptionItem build()

      Build the item.
      Returns:
        the item that was built.